@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
}

:root {
    --ligth-color: #F7F7F8;
    --dark-color : #1f1d2a;
    --footer-color: #15141C;
    --background-product:#131219;
    --gray-color:#A1A1A1;
    --background-main-dark-product:#9adde0;
    --background-main-ligth-product: #E94959;
    --color-text-dark :black;
    --ligth-icons : #1f1d2a;
    --background-color-image-ligth : #D7D7D7;
    --footer-product:white;
}

body {
    font-family: "Montserrat", sans-serif;
    background-color: var(--ligth-color);

}
a {
    text-decoration: none;
}
svg {
    height: 40px;
    border: none;
}
ul, li{
    list-style: none;
}
h1 {
    margin-top: 2rem;
    margin-left: 1.5rem;
    color: var(--color-text-dark)
}
p {
    color: var(--color-text-dark);
}
a:hover{
    color:var(--background-main-ligth-product);
}
.darkMode {
    --background-main-ligth-product: #9adde0;
    --color-text-dark : #F7F7F8;
    --ligth-color: #1f1d2a;
    --ligth-icons : #F7F7F8;
    --background-color-image-ligth: #15141D;
    --footer-product: #1A1922;

}

.container {
    max-width: 80vh;
    margin: auto;
    margin-bottom: 5rem;
}
.navBar {
    padding: 1rem 2rem;
    display: flex;
    flex-direction: row;
    gap: 1rem;
    align-items: center;
    position: fixed;
    justify-content: space-between;
    width: 100%;
    
}

.menuCart {
    background-color: var(--ligth-color);
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-items: center;
    gap: 2rem;
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, .175);  
    z-index: 600;

}
.carShop {
    height: 80%;
    width: 80%;
    margin: 0 auto;
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    justify-content: center;
    overflow: auto;
}
.carEmpty {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin:0 2rem;
}
.carEmpty h2 {
    color: var(--color-text-dark);
}
.totalShop {
    width: 80%;
    height: 20%;
    max-width: 500px;
    margin-bottom: 2rem;
}
.buttonPay {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    margin-right: 1rem;
}

.buttonPay a {
    padding:0.5rem 1rem;
    border-radius: 0.2rem;
    box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);
    color: var(--color-text-dark);
    
}
.buttonPay a:hover {
    background-color: var(--background-main-ligth-product);
    transition: 0.5s;

}
.itemsShop {
    width: 90%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-left: 1rem;
    margin-right: 1rem;
    

}
#carContain {
    border: 1px solid red;
    height: 10rem;
    width: 8rem;

}
.menuCart img {
    width: 80%;
    height: 80%;
}
.cartHidden {
    display: none;
}

.menuMain ul {
    display: none;
    
}
.menuBig {
    background-color: var(--ligth-color);
    /*background-color: red;*/
    margin-top: 0;
    width: 100vw;
    height: 100vh;
    position:fixed;
}

.menuBig > ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    gap: 4rem;
    font-size: 20px;
}
/*


.menuBig ul {
    background-color:var(--ligth-color);
    position: fixed;
    margin-top: 0;
    margin-bottom: 0;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-items: center;
    gap: 2rem;
    width: 100vw;
    height: 100vh;
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, .175);
    border-bottom-left-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
    margin-left: 0;
}
*/
.logoAcademlo {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap:1rem
}
.logoAcademlo svg {
    fill: none;
    stroke-width: 2;
    stroke: var(--background-main-ligth-product);
}
.icons {
    display: flex;
    gap: 1rem;
    justify-content: space-between;
    cursor: pointer;
    
}
.moon {
    visibility: hidden;
}

.darkMenu {
    display: flex;
    flex-direction: row;
    gap: 1rem;

}
.darkMenu1 {
    flex-direction: row-reverse;
}
.banner {
    display: flex;
    flex-direction: column;
}
.banner img{
    display: flex;
    padding-top: 10rem;
    padding-bottom: 2rem;
    background-color: var(--background-main-ligth-product);
    width: 50%;
    align-self: end;
    align-items: end;
}
.fixedBar {
    background-color: var(--ligth-color);
    width: 100%;
    box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);
    position: fixed;
    z-index: 100;
}
.descriptionSite p {
    margin: 1.5rem;
}
.descriptionSite h3 {
    margin: 1.5rem;
    color: var(--background-main-ligth-product);
    font-size: 1.5rem;
}

#discover {
    background-color:var(--gray-color);
    margin-left: 1.5rem;
    margin-right: 0;
    padding: 1rem 1.5rem;
    display: inline-block;
    color: black;
}
#add {
    background-color:var(--background-product);
    color: white;
    padding: 1.3rem 1.7rem;
    margin-left: 0px;
    border:none;
    display: inline-block;
}

#imagesProducts {
    font-size: 12px;
    justify-content: center;
    gap: 1.5rem;
    width: 80%;
    margin: auto;
    margin-top: 5rem ;
}

.itemIntoCar {
    width: 250px;
    height: 300px;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: column;
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);
    /*grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));*/
    align-items: center;
    justify-content: center;


}
.image {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--color-text-dark);
    padding-bottom: 1.5rem;
    border-radius: 0.5rem;
    box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);
    margin: 0 3rem;
    width: 60%;


}

.coder {

    display: flex;
    max-width: 1040px;
    margin: 0 auto;
    flex-direction: column;
    align-items: center;
  }
  .coder > img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
  }
  .coder > img:hover{
    scale: 1.2;
    transition: scale 0.5;
  }

/*
.image > img:hover{
    transform: translateY(-7px);
    transition: transform 0.5s;
}*/


.image button {
    font-size: 20px;
    display: flex;
    height: 3rem;
    width: 3rem;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    align-self: flex-end;
    border: none;
    outline: none;
    cursor: pointer;
    
}
.image button:hover {
    background-color: var(--background-main-ligth-product);
    transition: background-color 0.5s;
}

.dataProduct {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    padding-left: 1rem;
    padding-top: 0.8rem;

}
.image img {
    background-color: var(--background-color-image-ligth);
    width: 100%;
    height: 40%;
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
}
.catProduct{
    padding-left:1rem ;
    
}
.optionsMenu {
    margin-top: 5rem;
    display: grid;
    grid-template: 50% 50% / repeat(2, 1fr);
    justify-content: center;
    align-items: center;
    padding-left: 1.5rem;
    
}
.optionsMenu p {
    color: var(--color-text-dark);
}
.optionsMenu div {
    margin-bottom: 1.3rem;
}
.listProduct {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.2rem;
    

}

.borderProduct {
    border-right: 1px solid var(--color-text-dark);
}

.foot {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding-top: 1rem;
    padding-left: 1.5rem;
    
}
.foot p, a {
    color: var(--color-text-dark);
}
.foot p {
    font-weight: bold;
}

.svg svg path{
    fill: var(--color-text-dark);
}
.prettyFoot {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.p_Margin {
    margin:0.5rem 0 ;
}
.svg {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    
}

.icons {
    color: var(--color-text-dark);
    height: 2rem;
    font-size: 1.5rem;
}
.social_Network {
    color: var(--color-text-dark); 
    height: 1.5rem;
    font-size: 1.5rem;
    display: flex;
    gap: 1rem;
    margin-top: 1rem;
}
.close_cart {
    margin-top: 0.8rem;
    width: 100%;

}
.close_cart > i {
    margin-left: 80%;
    font-size: 2rem;
    color: var(--color-text-dark);
    cursor: pointer;

}
.addItem {
    position: relative;
    margin-top: -20px;
    margin-right: 8px;
}
.photo_product {
    background-color:var(--background-color-image-ligth);
    height: 12rem;
    width: 100%;
    display:flex;
    align-items: center;
    justify-content: center;
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
}
.photo_product > img {
    height: 90%;
}
.photo_product >img:hover {
    transform: translateY(-7px);
    transition: transform 0.5s;
    
    
}
.counter_items > div {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--ligth-icons);
    padding-top: 2px;
    width:15px;
    height: 15px;
    font-size: 10px;
    border-radius: 50%;
    position: relative;
    top: -10px;
    right: -15px;
    color: var(--ligth-color);
}
.image {
    margin-top: 1rem;
}
.buttons_cart {
    padding: 0.3rem;
    border: none;
    border-radius: 0.5rem;
    margin-bottom: 10px;
}

.buttons_cart:hover {
    background-color: var(--background-main-ligth-product);
    transition: 0.5s;
}

.coder {

    display: flex;
    max-width: 1040px;
    margin: 0 auto;
    flex-direction: column;
    align-items: center;
  }
  .coder > img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
  }
  .coder > img:hover{
    scale: 1.2;
    transition: scale 0.5;
  }

@media (min-width: 800px){

    
    .navBar {
        width: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-around;
        padding:1rem auto;
        margin: auto;  
    }
    .head {
        
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }

    .container {
        max-width: 80%;
        margin: auto;
    }
    .menuMain > ul{
        font-size: 1rem;
        position: static;
        background-color: inherit;
        display: flex;
        flex-direction: row;
        width: inherit;
        height: inherit;
        padding-left: 2rem;
        gap: 2rem;
        
    }
    .banner {
        display: flex;
        flex-direction: row-reverse;    
    }
    .descriptionSite {
        display: flex;
        flex-direction:column;
        justify-content: center;  
    }
    .optionsMenu {
        display: flex;
        justify-content: space-around;
        align-items: center;
    }
    .listProduct {
        padding: 0 1rem;
        padding-right: 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
    }
    .menuCart{
        width: 100%;
        height: 100%;
        top: 0;
        z-index: 600;
    }
    #imagesProducts {
        display: grid;
        gap: 2rem;
        grid-template-columns: repeat(auto-fit, minmax(220px,1fr));
    }
    .foot {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        gap: 1rem;
        padding-bottom: 2rem;
    }
    .fa-solid:nth-child(3){
        display: none;
    }
    .menuBig {
    background-color: var(--ligth-color);
    /*background-color: red;*/
    width: 80%;
    height: inherit;
    position:static;
    }
    .image{
        width: 200px;
    }

}



